Retrieves a vector store

Get an information about a vector store by its ID.

Request

GET

https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}
        

Path parameters

Name

Description

vector_store_id

Type: string

The ID of the vector store to retrieve.

Example: ``

Responses

200 OK

OK

Body

application/json
{
          "id": "example",
          "object": "vector_store",
          "created_at": 0,
          "name": "example",
          "usage_bytes": 0,
          "file_counts": {
            "in_progress": 0,
            "completed": 0,
            "failed": 0,
            "cancelled": 0,
            "total": 0
          },
          "status": "expired",
          "expires_after": {
            "anchor": "last_active_at",
            "days": 1
          },
          "expires_at": 0,
          "last_active_at": 0,
          "metadata": {}
        }
        

Name

Description

created_at

Type: integer

The Unix timestamp (in seconds) for when the vector store was created.

file_counts

Type: object

cancelled

Type: integer

The number of files that were cancelled.

completed

Type: integer

The number of files that have been successfully processed.

failed

Type: integer

The number of files that have failed to process.

in_progress

Type: integer

The number of files that are currently being processed.

total

Type: integer

The total number of files.

Example
{
          "in_progress": 0,
          "completed": 0,
          "failed": 0,
          "cancelled": 0,
          "total": 0
        }
        

id

Type: string

The identifier, which can be referenced in API endpoints.

Example: example

last_active_at

Any of 2 types
  • Type: integer

    The Unix timestamp (in seconds) for when the vector store was last active.

  • Type: null

    Example: null

Example: 0

metadata

Type: Metadata

Example
{}
        

name

Type: string

The name of the vector store.

Example: example

object

Type: string

The object type, which is always vector_store.

Const: vector_store

Example: example

status

Type: string

The status of the vector store, which can be either expired, in_progress, or completed. A status of completed indicates that the vector store is ready for use.

Enum: expired, in_progress, completed

usage_bytes

Type: integer

The total number of bytes used by the files in the vector store.

expires_after

Type: VectorStoreExpirationAfter

The expiration policy for a vector store.

Example
{
          "anchor": "last_active_at",
          "days": 1
        }
        

expires_at

Any of 2 types
  • Type: integer

    The Unix timestamp (in seconds) for when the vector store will expire.

  • Type: null

    Example: null

Example: 0

VectorStoreExpirationAfter

The expiration policy for a vector store.

Name

Description

anchor

Type: string

Anchor timestamp after which the expiration policy applies. Supported anchors: last_active_at.

Const: last_active_at

Example: example

days

Type: integer

The number of days after the anchor time that the vector store will expire.

Min value: 1

Max value: 365

Example
{
          "anchor": "last_active_at",
          "days": 1
        }
        

Metadata

Any of 2 types
  • Type: object

    [additional]

    Type: string

    Example: example

    Set of key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

    Example
    {}
            
  • Type: null

    Example: null

Example
{}
        
Предыдущая
Следующая